package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Description: AccountBillReceiptRecord
 * @Author: xda
 * @Date: 2021/8/5 16:10
 */
@Data
@TableName("ACCOUNT_BILL_RECEIPT_RECORD")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class AccountBillReceiptRecord {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账本id")
    @TableField("ACCOUNT_BOOK_ID")
    private Long accountBookId;

    @ApiModelProperty(value = "账款id")
    @TableField("ACCOUNT_BILL_ID")
    private Long accountBillId;

    @ApiModelProperty(value = "变更金额")
    @TableField("RECEIPT_MONEY")
    private BigDecimal receiptMoney;

    @ApiModelProperty(value = "改变前金额")
    @TableField("PRE_MONEY")
    private BigDecimal preMoney;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;
}
